import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

// 初始化机床项目
export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: 'PDM_项目名称_查询数据'
    }
  })
}
// 初始化检测项
export function searchTest() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_装配质检_检测项_查询数据'
    }
  })
}
// 组件查询
export function searchgroup(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: 'PDM_组件名称_查询数据',
      param: '机床流水号=' + num
    }
  })
}
// 质检管理_质量情况_查询数据
export function selecttable(check1, value1, check2, value2, check3, value3, check4, value4, check5, time1, time2, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_装配质检_质检情况_查询数据',
      param: '机床流水号_check=' + check1 + '&机床流水号=' + value1 + '&组件流水号_check=' + check2 + '&组件流水号=' + value2 + '&检测项_check=' + check3 + '&检测项流水号=' + value3 +
      '&质检情况_check=' + check4 + '&质检情况=' + value4 + '&时间段_check=' + check5 + '&开始时间=' + time1 + '&结束时间=' + time2,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 质检管理_质量情况_查询数据
export function selecttable22(check1, value1, check2, value2, check3, value3, check4, value4) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_装配质检_质检情况_查询数据',
      param: '机床流水号_check=' + check1 + '&机床流水号=' + value1 + '&组件流水号_check=' + check2 + '&组件流水号=' + value2 + '&检测项_check=' + check3 + '&检测项流水号=' + value3 +
      '&质检情况_check=' + check4 + '&质检情况=' + value4
    }
  })
}
// 检测项明细查询
export function searchMX(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_装配质检_明细_质检情况_查询数据',
      param: '装配质检流水号=' + num
    }
  })
}
// 检测统计
export function searchTestStatistics(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '质检管理_装配质检_质检情况_统计数据',
      param: '机床流水号=' + num
    }
  })
}
